[Zeek-Dev] 2.4.1 to 3.0.1

Tim Wojtulewicz tim at corelight.com
Fri Feb 14 08:51:08 PST 2020


All of the deprecations listed in 3.0.1 will return compiler warnings if you use them in your code, but will still function correctly. The deprecations aren’t actually removed until 3.1, at which point using them will cause failures. That said, if you run into anything with any of the deprecations, let us know and we can help work through them.

Tim

> On Feb 13, 2020, at 6:54 PM, Dk Jack <dnj0496 at gmail.com> wrote:
> 
> Hi,
> We have a (c++) plugin that we have been using with 2.4.1. We are
> trying to move to 3.0.x. Is there any documentation on api changes
> (deprecations) that we need to be concerned about? Our plugin is an
> analyzer deriving from tcp::TCP_ApplicationAnalyzer. Any guidance is
> appreciated. Thanks.
> 
> Dk.
> _______________________________________________
> Zeek-Dev mailing list
> Zeek-Dev at zeek.org
> http://mailman.icsi.berkeley.edu/mailman/listinfo/zeek-dev




More information about the Zeek-Dev mailing list